package com.dgtis.dorm.manager.db.dao;

import com.dgtis.dorm.manager.db.domain.NewsOrganize;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface NewsOrganizeMapper {

    /**
     * 获取参加的活动列表
     * @param newsOrganize
     * @return
     */
    List<NewsOrganize> selectByExample(NewsOrganize newsOrganize);

    /**
     * 获取参加的活动列表总条数
     */
    long countByExample(NewsOrganize newsOrganize);

    /**
     * 录入参加的活动信息
     */
    int insertSelective(NewsOrganize newsOrganize);

    /**
     * 删除参加的活动信息
     */
    int deleteByPrimaryKey(int id);

    /**
     * 根据活动id删除活动推送的组织信息
     * @param newsId 活动编号
     * @return
     */
    int deleteByActivityId(int newsId);

    /**
     * 根据活动id和组织id删除活动推送的组织信息
     * @param newsId
     * @param organizeId
     */
    int deleteOrganizeNewsByActivity(@Param("newsId") String newsId, @Param("organizeId") String organizeId);
}
